ReverseStringFilterFactory (Lucene 10.5.1 common API)
Description: declaration: package: org.apache.lucene.analysis.reverse, class: ReverseStringFilterFactory

Package org.apache.lucene.analysis.reverse

# Class ReverseStringFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.reverse.ReverseStringFilterFactory

public class ReverseStringFilterFactory extends TokenFilterFactory
Factory for `ReverseStringFilter`.

     <fieldType name="text_rvsstr" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.ReverseStringFilterFactory"/>
       </analyzer>
     </fieldType>

Since:
  solr 1.4
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "reverseString"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReverseStringFilterFactory()`
  Default ctor for compatibility with SPI
  `ReverseStringFilterFactory(Map<String,String> args)`
  Creates a new ReverseStringFilterFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReverseStringFilter`
  `create(TokenStream in)`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

  `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReverseStringFilterFactory

    public ReverseStringFilterFactory(Map<String,String> args)
    Creates a new ReverseStringFilterFactory

  - ### ReverseStringFilterFactory

    public ReverseStringFilterFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public ReverseStringFilter create(TokenStream in)
    Specified by:
      `create` in class `TokenFilterFactory`